org.apache.uima.ruta.example.extensions

## Class ExampleBlockExtension

- java.lang.Object
- - org.apache.uima.ruta.example.extensions.ExampleBlockExtension

- All Implemented Interfaces:
    org.apache.uima.ruta.extensions.IRutaBlockExtension, org.apache.uima.ruta.extensions.IRutaExtension

      public class ExampleBlockExtension
      extends Object
      implements org.apache.uima.ruta.extensions.IRutaBlockExtension

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExampleBlockExtension()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.uima.ruta.block.RutaBlock` | `createBlock(String name, List<org.apache.uima.ruta.expression.RutaExpression> args, org.apache.uima.ruta.block.RutaBlock env)`
    `Class<?>[]` | `extensions()`
    `String[]` | `getKnownExtensions()`
    `String` | `verbalize(org.apache.uima.ruta.RutaElement element, org.apache.uima.ruta.verbalize.RutaVerbalizer verbalizer)`
    `String` | `verbalizeName(org.apache.uima.ruta.RutaElement element)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExampleBlockExtension

          public ExampleBlockExtension()

  - ### Method Detail

    - #### verbalize

          public String verbalize(org.apache.uima.ruta.RutaElement element,
                                  org.apache.uima.ruta.verbalize.RutaVerbalizer verbalizer)

      Specified by:
        `verbalize` in interface `org.apache.uima.ruta.extensions.IRutaExtension`

    - #### createBlock

          public org.apache.uima.ruta.block.RutaBlock createBlock(String name,
                                                                  List<org.apache.uima.ruta.expression.RutaExpression> args,
                                                                  org.apache.uima.ruta.block.RutaBlock env)
                                                           throws org.apache.uima.ruta.extensions.RutaParseException

      Specified by:
        `createBlock` in interface `org.apache.uima.ruta.extensions.IRutaBlockExtension`
      Throws:
        `org.apache.uima.ruta.extensions.RutaParseException`

    - #### verbalizeName

          public String verbalizeName(org.apache.uima.ruta.RutaElement element)

      Specified by:
        `verbalizeName` in interface `org.apache.uima.ruta.extensions.IRutaExtension`

    - #### getKnownExtensions

          public String[] getKnownExtensions()

      Specified by:
        `getKnownExtensions` in interface `org.apache.uima.ruta.extensions.IRutaExtension`

    - #### extensions

          public Class<?>[] extensions()

      Specified by:
        `extensions` in interface `org.apache.uima.ruta.extensions.IRutaExtension`

Copyright © 2011–2022 The Apache Software Foundation. All rights reserved.